local MOD = DugisGuideViewer
local _
local MapOverlays = MOD:RegisterModule("MapOverlays")
MapOverlays.essential = true
local harvestingDataMode = false

local HBDMigrate = LibStub("HereBeDragons-Migrate-Dugis")

function MapOverlays:Initialize()
	local defaults = {
		global = {
	overlayData = {
	[1437] = {
		{
			["offsetX"] = 0,
			["fileDataIDs"] = {
				273156, -- [1]
				441044, -- [2]
				441045, -- [3]
				441046, -- [4]
			},
			["textureWidth"] = 325,
			["offsetY"] = 297,
			["isDrawOnTopLayer"] = false,
			["textureHeight"] = 363,
		}, -- [1]
		{
			["offsetX"] = 37,
			["fileDataIDs"] = {
				273163, -- [1]
				441035, -- [2]
			},
			["textureWidth"] = 301,
			["offsetY"] = 240,
			["isDrawOnTopLayer"] = false,
			["textureHeight"] = 232,
		}, -- [2]
		{
			["offsetX"] = 31,
			["fileDataIDs"] = {
				273171, -- [1]
				441036, -- [2]
			},
			["textureWidth"] = 321,
			["offsetY"] = 102,
			["isDrawOnTopLayer"] = false,
			["textureHeight"] = 248,
		}, -- [3]
		{
			["offsetX"] = 185,
			["fileDataIDs"] = {
				273155, -- [1]
				441055, -- [2]
				441056, -- [3]
				441057, -- [4]
			},
			["textureWidth"] = 298,
			["offsetY"] = 195,
			["isDrawOnTopLayer"] = false,
			["textureHeight"] = 447,
		}, -- [4]
		{
			["offsetX"] = 121,
			["fileDataIDs"] = {
				273178, -- [1]
				273167, -- [2]
			},
			["textureWidth"] = 276,
			["offsetY"] = 63,
			["isDrawOnTopLayer"] = false,
			["textureHeight"] = 243,
		}, -- [5]
		{
			["offsetX"] = 372,
			["fileDataIDs"] = {
				273173, -- [1]
			},
			["textureWidth"] = 185,
			["offsetY"] = 76,
			["isDrawOnTopLayer"] = false,
			["textureHeight"] = 224,
		}, -- [6]
		{
			["offsetX"] = 356,
			["fileDataIDs"] = {
				273164, -- [1]
				441041, -- [2]
			},
			["textureWidth"] = 257,
			["offsetY"] = 7,
			["isDrawOnTopLayer"] = false,
			["textureHeight"] = 185,
		}, -- [7]
		{
			["offsetX"] = 359,
			["fileDataIDs"] = {
				273159, -- [1]
			},
			["textureWidth"] = 236,
			["offsetY"] = 201,
			["isDrawOnTopLayer"] = false,
			["textureHeight"] = 256,
		}, -- [8]
		{
			["offsetX"] = 371,
			["fileDataIDs"] = {
				273174, -- [1]
				441054, -- [2]
			},
			["textureWidth"] = 258,
			["offsetY"] = 335,
			["isDrawOnTopLayer"] = false,
			["textureHeight"] = 207,
		}, -- [9]
		{
			["offsetX"] = 506,
			["fileDataIDs"] = {
				273177, -- [1]
				441047, -- [2]
			},
			["textureWidth"] = 369,
			["offsetY"] = 232,
			["isDrawOnTopLayer"] = false,
			["textureHeight"] = 235,
		}, -- [10]
		{
			["offsetX"] = 599,
			["fileDataIDs"] = {
				273181, -- [1]
			},
			["textureWidth"] = 256,
			["offsetY"] = 123,
			["isDrawOnTopLayer"] = false,
			["textureHeight"] = 245,
		}, -- [11]
		{
			["offsetX"] = 506,
			["fileDataIDs"] = {
				441037, -- [1]
				441038, -- [2]
			},
			["textureWidth"] = 329,
			["offsetY"] = 34,
			["isDrawOnTopLayer"] = false,
			["textureHeight"] = 228,
		}, -- [12]
		{
			["offsetX"] = 346,
			["fileDataIDs"] = {
				441039, -- [1]
				441040, -- [2]
			},
			["textureWidth"] = 298,
			["offsetY"] = 419,
			["isDrawOnTopLayer"] = false,
			["textureHeight"] = 215,
		}, -- [13]
		{
			["offsetX"] = 460,
			["fileDataIDs"] = {
				441042, -- [1]
				441043, -- [2]
			},
			["textureWidth"] = 250,
			["offsetY"] = 102,
			["isDrawOnTopLayer"] = false,
			["textureHeight"] = 269,
		}, -- [14]
		{
			["offsetX"] = 218,
			["fileDataIDs"] = {
				441048, -- [1]
				441049, -- [2]
			},
			["textureWidth"] = 250,
			["offsetY"] = 0,
			["isDrawOnTopLayer"] = false,
			["textureHeight"] = 282,
		}, -- [15]
		{
			["offsetX"] = 532,
			["fileDataIDs"] = {
				441050, -- [1]
				441051, -- [2]
				441052, -- [3]
				441053, -- [4]
			},
			["textureWidth"] = 300,
			["offsetY"] = 352,
			["isDrawOnTopLayer"] = false,
			["textureHeight"] = 316,
		}, -- [16]
		{
			["offsetX"] = 0,
			["fileDataIDs"] = {
			},
			["textureWidth"] = 0,
			["offsetY"] = 0,
			["isDrawOnTopLayer"] = false,
			["textureHeight"] = 0,
		}, -- [17]
		{
			["offsetX"] = 0,
			["fileDataIDs"] = {
			},
			["textureWidth"] = 0,
			["offsetY"] = 0,
			["isDrawOnTopLayer"] = false,
			["textureHeight"] = 0,
		}, -- [18]
	},
	[1423] = {
		{
			["offsetX"] = 774,
			["fileDataIDs"] = {
				442674, -- [1]
				442675, -- [2]
			},
			["textureWidth"] = 228,
			["offsetY"] = 102,
			["textureHeight"] = 273,
			["isDrawOnTopLayer"] = false,
		}, -- [1]
		{
			["offsetX"] = 382,
			["fileDataIDs"] = {
				271523, -- [1]
			},
			["textureWidth"] = 238,
			["offsetY"] = 151,
			["textureHeight"] = 231,
			["isDrawOnTopLayer"] = false,
		}, -- [2]
		{
			["offsetX"] = 493,
			["fileDataIDs"] = {
				271544, -- [1]
			},
			["textureWidth"] = 186,
			["offsetY"] = 289,
			["textureHeight"] = 213,
			["isDrawOnTopLayer"] = false,
		}, -- [3]
		{
			["offsetX"] = 258,
			["fileDataIDs"] = {
				271548, -- [1]
			},
			["textureWidth"] = 202,
			["offsetY"] = 351,
			["textureHeight"] = 191,
			["isDrawOnTopLayer"] = false,
		}, -- [4]
		{
			["offsetX"] = 211,
			["fileDataIDs"] = {
				271514, -- [1]
			},
			["textureWidth"] = 248,
			["offsetY"] = 462,
			["textureHeight"] = 206,
			["isDrawOnTopLayer"] = false,
		}, -- [5]
		{
			["offsetX"] = 541,
			["fileDataIDs"] = {
				271542, -- [1]
			},
			["textureWidth"] = 181,
			["offsetY"] = 184,
			["textureHeight"] = 176,
			["isDrawOnTopLayer"] = false,
		}, -- [6]
		{
			["offsetX"] = 462,
			["fileDataIDs"] = {
				271532, -- [1]
				442676, -- [2]
			},
			["textureWidth"] = 266,
			["offsetY"] = 427,
			["textureHeight"] = 241,
			["isDrawOnTopLayer"] = false,
		}, -- [7]
		{
			["offsetX"] = 687,
			["fileDataIDs"] = {
				271533, -- [1]
			},
			["textureWidth"] = 196,
			["offsetY"] = 271,
			["textureHeight"] = 220,
			["isDrawOnTopLayer"] = false,
		}, -- [8]
		{
			["offsetX"] = 391,
			["fileDataIDs"] = {
				442677, -- [1]
			},
			["textureWidth"] = 243,
			["offsetY"] = 271,
			["textureHeight"] = 162,
			["isDrawOnTopLayer"] = false,
		}, -- [9]
		{
			["offsetX"] = 570,
			["fileDataIDs"] = {
				271520, -- [1]
				442678, -- [2]
			},
			["textureWidth"] = 265,
			["offsetY"] = 61,
			["textureHeight"] = 232,
			["isDrawOnTopLayer"] = false,
		}, -- [10]
		{
			["offsetX"] = 401,
			["fileDataIDs"] = {
				271521, -- [1]
			},
			["textureWidth"] = 250,
			["offsetY"] = 69,
			["textureHeight"] = 192,
			["isDrawOnTopLayer"] = false,
		}, -- [11]
		{
			["offsetX"] = 144,
			["fileDataIDs"] = {
				271518, -- [1]
				271527, -- [2]
			},
			["textureWidth"] = 328,
			["offsetY"] = 40,
			["textureHeight"] = 253,
			["isDrawOnTopLayer"] = false,
		}, -- [12]
		{
			["offsetX"] = 351,
			["fileDataIDs"] = {
				271535, -- [1]
				442679, -- [2]
			},
			["textureWidth"] = 277,
			["offsetY"] = 0,
			["textureHeight"] = 175,
			["isDrawOnTopLayer"] = false,
		}, -- [13]
		{
			["offsetX"] = 738,
			["fileDataIDs"] = {
				442680, -- [1]
				442681, -- [2]
				442682, -- [3]
				442683, -- [4]
			},
			["textureWidth"] = 264,
			["offsetY"] = 295,
			["textureHeight"] = 373,
			["isDrawOnTopLayer"] = false,
		}, -- [14]
		{
			["offsetX"] = 118,
			["fileDataIDs"] = {
				271529, -- [1]
				442684, -- [2]
			},
			["textureWidth"] = 310,
			["offsetY"] = 0,
			["textureHeight"] = 178,
			["isDrawOnTopLayer"] = false,
		}, -- [15]
		{
			["offsetX"] = 0,
			["fileDataIDs"] = {
				271522, -- [1]
				442685, -- [2]
				442686, -- [3]
				442687, -- [4]
			},
			["textureWidth"] = 258,
			["offsetY"] = 10,
			["textureHeight"] = 320,
			["isDrawOnTopLayer"] = false,
		}, -- [16]
		{
			["offsetX"] = 183,
			["fileDataIDs"] = {
				271536, -- [1]
				442688, -- [2]
			},
			["textureWidth"] = 274,
			["offsetY"] = 211,
			["textureHeight"] = 216,
			["isDrawOnTopLayer"] = false,
		}, -- [17]
		{
			["offsetX"] = 383,
			["fileDataIDs"] = {
				442692, -- [1]
				442693, -- [2]
			},
			["textureWidth"] = 182,
			["offsetY"] = 348,
			["textureHeight"] = 320,
			["isDrawOnTopLayer"] = false,
		}, -- [18]
		{
			["offsetX"] = 133,
			["fileDataIDs"] = {
				271551, -- [1]
			},
			["textureWidth"] = 202,
			["offsetY"] = 335,
			["textureHeight"] = 202,
			["isDrawOnTopLayer"] = false,
		}, -- [19]
		{
			["offsetX"] = 650,
			["fileDataIDs"] = {
				271537, -- [1]
				442689, -- [2]
				442690, -- [3]
				442691, -- [4]
			},
			["textureWidth"] = 297,
			["offsetY"] = 55,
			["textureHeight"] = 299,
			["isDrawOnTopLayer"] = false,
		}, -- [20]
		{
			["offsetX"] = 595,
			["fileDataIDs"] = {
				271543, -- [1]
				271530, -- [2]
			},
			["textureWidth"] = 177,
			["offsetY"] = 263,
			["textureHeight"] = 266,
			["isDrawOnTopLayer"] = false,
		}, -- [21]
		{
			["offsetX"] = 56,
			["fileDataIDs"] = {
				271512, -- [1]
				442694, -- [2]
			},
			["textureWidth"] = 280,
			["offsetY"] = 457,
			["textureHeight"] = 211,
			["isDrawOnTopLayer"] = false,
		}, -- [22]
		{
			["offsetX"] = 0,
			["fileDataIDs"] = {
				271538, -- [1]
				271513, -- [2]
				442695, -- [3]
				442696, -- [4]
				442697, -- [5]
				442698, -- [6]
			},
			["textureWidth"] = 262,
			["offsetY"] = 100,
			["textureHeight"] = 526,
			["isDrawOnTopLayer"] = false,
		}, -- [23]
		{
			["offsetX"] = 651,
			["fileDataIDs"] = {
				271553, -- [1]
			},
			["textureWidth"] = 214,
			["offsetY"] = 414,
			["textureHeight"] = 254,
			["isDrawOnTopLayer"] = false,
		}, -- [24]
		{
			["offsetX"] = 528,
			["fileDataIDs"] = {
				271554, -- [1]
				442699, -- [2]
			},
			["textureWidth"] = 286,
			["offsetY"] = 0,
			["textureHeight"] = 176,
			["isDrawOnTopLayer"] = false,
		}, -- [25]
		{
			["offsetX"] = 0,
			["fileDataIDs"] = {
			},
			["textureWidth"] = 0,
			["offsetY"] = 0,
			["textureHeight"] = 0,
			["isDrawOnTopLayer"] = false,
		}, -- [26]
	},
	[1941] = {
		{
			["offsetX"] = 386,
			["fileDataIDs"] = {
				271612, -- [1]
			},
			["textureWidth"] = 256,
			["offsetY"] = 386,
			["textureHeight"] = 256,
			["isDrawOnTopLayer"] = false,
		}, -- [1]
	},
	[1420] = {
		{
			["offsetX"] = 752,
			["fileDataIDs"] = {
				272999, -- [1]
				440935, -- [2]
			},
			["textureWidth"] = 250,
			["offsetY"] = 150,
			["textureHeight"] = 279,
			["isDrawOnTopLayer"] = false,
		}, -- [1]
		{
			["offsetX"] = 692,
			["fileDataIDs"] = {
				272996, -- [1]
			},
			["textureWidth"] = 161,
			["offsetY"] = 99,
			["textureHeight"] = 234,
			["isDrawOnTopLayer"] = false,
		}, -- [2]
		{
			["offsetX"] = 686,
			["fileDataIDs"] = {
				273000, -- [1]
			},
			["textureWidth"] = 175,
			["offsetY"] = 232,
			["textureHeight"] = 210,
			["isDrawOnTopLayer"] = false,
		}, -- [3]
		{
			["offsetX"] = 594,
			["fileDataIDs"] = {
				273006, -- [1]
			},
			["textureWidth"] = 242,
			["offsetY"] = 324,
			["textureHeight"] = 179,
			["isDrawOnTopLayer"] = false,
		}, -- [4]
		{
			["offsetX"] = 573,
			["fileDataIDs"] = {
				273009, -- [1]
				273002, -- [2]
			},
			["textureWidth"] = 210,
			["offsetY"] = 122,
			["textureHeight"] = 292,
			["isDrawOnTopLayer"] = false,
		}, -- [5]
		{
			["offsetX"] = 477,
			["fileDataIDs"] = {
				273020, -- [1]
			},
			["textureWidth"] = 190,
			["offsetY"] = 129,
			["textureHeight"] = 214,
			["isDrawOnTopLayer"] = false,
		}, -- [6]
		{
			["offsetX"] = 480,
			["fileDataIDs"] = {
				273015, -- [1]
			},
			["textureWidth"] = 199,
			["offsetY"] = 252,
			["textureHeight"] = 182,
			["isDrawOnTopLayer"] = false,
		}, -- [7]
		{
			["offsetX"] = 418,
			["fileDataIDs"] = {
				273016, -- [1]
			},
			["textureWidth"] = 212,
			["offsetY"] = 317,
			["textureHeight"] = 177,
			["isDrawOnTopLayer"] = false,
		}, -- [8]
		{
			["offsetX"] = 347,
			["fileDataIDs"] = {
				273003, -- [1]
				440921, -- [2]
			},
			["textureWidth"] = 225,
			["offsetY"] = 325,
			["textureHeight"] = 281,
			["isDrawOnTopLayer"] = false,
		}, -- [9]
		{
			["offsetX"] = 324,
			["fileDataIDs"] = {
				273019, -- [1]
				440914, -- [2]
				440915, -- [3]
				440916, -- [4]
			},
			["textureWidth"] = 285,
			["offsetY"] = 90,
			["textureHeight"] = 260,
			["isDrawOnTopLayer"] = false,
		}, -- [10]
		{
			["offsetX"] = 201,
			["fileDataIDs"] = {
				273017, -- [1]
				440930, -- [2]
			},
			["textureWidth"] = 286,
			["offsetY"] = 192,
			["textureHeight"] = 225,
			["isDrawOnTopLayer"] = false,
		}, -- [11]
		{
			["offsetX"] = 9,
			["fileDataIDs"] = {
				273001, -- [1]
				440918, -- [2]
				440919, -- [3]
				440920, -- [4]
			},
			["textureWidth"] = 431,
			["offsetY"] = 207,
			["textureHeight"] = 407,
			["isDrawOnTopLayer"] = false,
		}, -- [12]
		{
			["offsetX"] = 389,
			["fileDataIDs"] = {
				440917, -- [1]
			},
			["textureWidth"] = 179,
			["offsetY"] = 255,
			["textureHeight"] = 169,
			["isDrawOnTopLayer"] = false,
		}, -- [13]
		{
			["offsetX"] = 423,
			["fileDataIDs"] = {
				440922, -- [1]
				440923, -- [2]
				440924, -- [3]
				440925, -- [4]
			},
			["textureWidth"] = 390,
			["offsetY"] = 359,
			["textureHeight"] = 267,
			["isDrawOnTopLayer"] = false,
		}, -- [14]
		{
			["offsetX"] = 740,
			["fileDataIDs"] = {
				440926, -- [1]
				440927, -- [2]
				440928, -- [3]
				440929, -- [4]
			},
			["textureWidth"] = 262,
			["offsetY"] = 47,
			["textureHeight"] = 262,
			["isDrawOnTopLayer"] = false,
		}, -- [15]
		{
			["offsetX"] = 709,
			["fileDataIDs"] = {
				440931, -- [1]
				440932, -- [2]
				440933, -- [3]
				440934, -- [4]
			},
			["textureWidth"] = 293,
			["offsetY"] = 330,
			["textureHeight"] = 338,
			["isDrawOnTopLayer"] = false,
		}, -- [16]
		{
			["offsetX"] = 0,
			["fileDataIDs"] = {
			},
			["textureWidth"] = 0,
			["offsetY"] = 0,
			["textureHeight"] = 0,
			["isDrawOnTopLayer"] = false,
		}, -- [17]
		{
			["offsetX"] = 0,
			["fileDataIDs"] = {
			},
			["textureWidth"] = 0,
			["offsetY"] = 0,
			["textureHeight"] = 0,
			["isDrawOnTopLayer"] = false,
		}, -- [18]
		{
			["offsetX"] = 0,
			["fileDataIDs"] = {
			},
			["textureWidth"] = 0,
			["offsetY"] = 0,
			["textureHeight"] = 0,
			["isDrawOnTopLayer"] = false,
		}, -- [19]
	},
	[1424] = {
		{
			["offsetX"] = 287,
			["fileDataIDs"] = {
				450628, -- [1]
			},
			["textureWidth"] = 180,
			["offsetY"] = 399,
			["textureHeight"] = 182,
			["isDrawOnTopLayer"] = false,
		}, -- [1]
		{
			["offsetX"] = 555,
			["fileDataIDs"] = {
				450629, -- [1]
				450630, -- [2]
				450631, -- [3]
				450632, -- [4]
			},
			["textureWidth"] = 447,
			["offsetY"] = 68,
			["textureHeight"] = 263,
			["isDrawOnTopLayer"] = false,
		}, -- [2]
		{
			["offsetX"] = 426,
			["fileDataIDs"] = {
				450633, -- [1]
			},
			["textureWidth"] = 135,
			["offsetY"] = 224,
			["textureHeight"] = 160,
			["isDrawOnTopLayer"] = false,
		}, -- [3]
		{
			["offsetX"] = 463,
			["fileDataIDs"] = {
				450634, -- [1]
			},
			["textureWidth"] = 134,
			["offsetY"] = 101,
			["textureHeight"] = 124,
			["isDrawOnTopLayer"] = false,
		}, -- [4]
		{
			["offsetX"] = 102,
			["fileDataIDs"] = {
				450635, -- [1]
				450636, -- [2]
			},
			["textureWidth"] = 316,
			["offsetY"] = 137,
			["textureHeight"] = 238,
			["isDrawOnTopLayer"] = false,
		}, -- [5]
		{
			["offsetX"] = 341,
			["fileDataIDs"] = {
				450637, -- [1]
				450638, -- [2]
			},
			["textureWidth"] = 258,
			["offsetY"] = 0,
			["textureHeight"] = 113,
			["isDrawOnTopLayer"] = false,
		}, -- [6]
		{
			["offsetX"] = 425,
			["fileDataIDs"] = {
				450639, -- [1]
			},
			["textureWidth"] = 147,
			["offsetY"] = 279,
			["textureHeight"] = 160,
			["isDrawOnTopLayer"] = false,
		}, -- [7]
		{
			["offsetX"] = 542,
			["fileDataIDs"] = {
				450640, -- [1]
				450641, -- [2]
				450642, -- [3]
				450643, -- [4]
			},
			["textureWidth"] = 269,
			["offsetY"] = 410,
			["textureHeight"] = 258,
			["isDrawOnTopLayer"] = false,
		}, -- [8]
		{
			["offsetX"] = 565,
			["fileDataIDs"] = {
				450644, -- [1]
				450645, -- [2]
				450646, -- [3]
				450647, -- [4]
			},
			["textureWidth"] = 437,
			["offsetY"] = 217,
			["textureHeight"] = 451,
			["isDrawOnTopLayer"] = false,
		}, -- [9]
		{
			["offsetX"] = 451,
			["fileDataIDs"] = {
				450648, -- [1]
			},
			["textureWidth"] = 155,
			["offsetY"] = 140,
			["textureHeight"] = 147,
			["isDrawOnTopLayer"] = false,
		}, -- [10]
		{
			["offsetX"] = 344,
			["fileDataIDs"] = {
				450649, -- [1]
			},
			["textureWidth"] = 116,
			["offsetY"] = 254,
			["textureHeight"] = 129,
			["isDrawOnTopLayer"] = false,
		}, -- [11]
		{
			["offsetX"] = 359,
			["fileDataIDs"] = {
				450650, -- [1]
			},
			["textureWidth"] = 171,
			["offsetY"] = 191,
			["textureHeight"] = 136,
			["isDrawOnTopLayer"] = false,
		}, -- [12]
		{
			["offsetX"] = 191,
			["fileDataIDs"] = {
				450651, -- [1]
				450652, -- [2]
			},
			["textureWidth"] = 302,
			["offsetY"] = 302,
			["textureHeight"] = 175,
			["isDrawOnTopLayer"] = false,
		}, -- [13]
		{
			["offsetX"] = 194,
			["fileDataIDs"] = {
				450665, -- [1]
			},
			["textureWidth"] = 250,
			["offsetY"] = 216,
			["textureHeight"] = 167,
			["isDrawOnTopLayer"] = false,
		}, -- [14]
		{
			["offsetX"] = 321,
			["fileDataIDs"] = {
				450666, -- [1]
			},
			["textureWidth"] = 158,
			["offsetY"] = 42,
			["textureHeight"] = 169,
			["isDrawOnTopLayer"] = false,
		}, -- [15]
		{
			["offsetX"] = 502,
			["fileDataIDs"] = {
				450667, -- [1]
			},
			["textureWidth"] = 204,
			["offsetY"] = 373,
			["textureHeight"] = 244,
			["isDrawOnTopLayer"] = false,
		}, -- [16]
		{
			["offsetX"] = 200,
			["fileDataIDs"] = {
				450668, -- [1]
			},
			["textureWidth"] = 144,
			["offsetY"] = 505,
			["textureHeight"] = 139,
			["isDrawOnTopLayer"] = false,
		}, -- [17]
		{
			["offsetX"] = 347,
			["fileDataIDs"] = {
				450669, -- [1]
			},
			["textureWidth"] = 189,
			["offsetY"] = 85,
			["textureHeight"] = 181,
			["isDrawOnTopLayer"] = false,
		}, -- [18]
		{
			["offsetX"] = 413,
			["fileDataIDs"] = {
				450670, -- [1]
			},
			["textureWidth"] = 148,
			["offsetY"] = 55,
			["textureHeight"] = 120,
			["isDrawOnTopLayer"] = false,
		}, -- [19]
		{
			["offsetX"] = 484,
			["fileDataIDs"] = {
				450671, -- [1]
			},
			["textureWidth"] = 148,
			["offsetY"] = 166,
			["textureHeight"] = 146,
			["isDrawOnTopLayer"] = false,
		}, -- [20]
		{
			["offsetX"] = 59,
			["fileDataIDs"] = {
				450672, -- [1]
				450673, -- [2]
			},
			["textureWidth"] = 312,
			["offsetY"] = 310,
			["textureHeight"] = 254,
			["isDrawOnTopLayer"] = false,
		}, -- [21]
		{
			["offsetX"] = 383,
			["fileDataIDs"] = {
				450674, -- [1]
			},
			["textureWidth"] = 229,
			["offsetY"] = 352,
			["textureHeight"] = 219,
			["isDrawOnTopLayer"] = false,
		}, -- [22]
		{
			["offsetX"] = 505,
			["fileDataIDs"] = {
				450675, -- [1]
				450676, -- [2]
			},
			["textureWidth"] = 275,
			["offsetY"] = 44,
			["textureHeight"] = 193,
			["isDrawOnTopLayer"] = false,
		}, -- [23]
		{
			["offsetX"] = 494,
			["fileDataIDs"] = {
				450677, -- [1]
			},
			["textureWidth"] = 165,
			["offsetY"] = 226,
			["textureHeight"] = 203,
			["isDrawOnTopLayer"] = false,
		}, -- [24]
		{
			["offsetX"] = 390,
			["fileDataIDs"] = {
				450678, -- [1]
			},
			["textureWidth"] = 105,
			["offsetY"] = 255,
			["textureHeight"] = 148,
			["isDrawOnTopLayer"] = false,
		}, -- [25]
		{
			["offsetX"] = 441,
			["fileDataIDs"] = {
				450679, -- [1]
			},
			["textureWidth"] = 212,
			["offsetY"] = 0,
			["textureHeight"] = 160,
			["isDrawOnTopLayer"] = false,
		}, -- [26]
		{
			["offsetX"] = 191,
			["fileDataIDs"] = {
				450651, -- [1]
				450652, -- [2]
			},
			["textureWidth"] = 302,
			["offsetY"] = 302,
			["textureHeight"] = 175,
			["isDrawOnTopLayer"] = false,
		}, -- [27]
	},
	[1942] = {
		{
			["offsetX"] = 365,
			["fileDataIDs"] = {
				271762, -- [1]
				271751, -- [2]
			},
			["textureWidth"] = 256,
			["offsetY"] = 2,
			["isDrawOnTopLayer"] = false,
			["textureHeight"] = 512,
		}, -- [1]
		{
			["offsetX"] = 340,
			["fileDataIDs"] = {
				271740, -- [1]
				271730, -- [2]
			},
			["textureWidth"] = 256,
			["offsetY"] = 219,
			["isDrawOnTopLayer"] = false,
			["textureHeight"] = 449,
		}, -- [2]
		{
			["offsetX"] = 466,
			["fileDataIDs"] = {
				271712, -- [1]
				271757, -- [2]
				271713, -- [3]
				271734, -- [4]
			},
			["textureWidth"] = 512,
			["offsetY"] = 237,
			["isDrawOnTopLayer"] = false,
			["textureHeight"] = 431,
		}, -- [3]
		{
			["offsetX"] = 598,
			["fileDataIDs"] = {
				271742, -- [1]
				271728, -- [2]
				271758, -- [3]
				271706, -- [4]
			},
			["textureWidth"] = 404,
			["offsetY"] = 232,
			["isDrawOnTopLayer"] = false,
			["textureHeight"] = 436,
		}, -- [4]
	},
	[1421] = {
		{
			["offsetX"] = 236,
			["fileDataIDs"] = {
				272610, -- [1]
			},
			["textureWidth"] = 227,
			["offsetY"] = 0,
			["textureHeight"] = 172,
			["isDrawOnTopLayer"] = false,
		}, -- [1]
		{
			["offsetX"] = 581,
			["fileDataIDs"] = {
				272600, -- [1]
				440729, -- [2]
				440730, -- [3]
				440731, -- [4]
			},
			["textureWidth"] = 352,
			["offsetY"] = 15,
			["textureHeight"] = 302,
			["isDrawOnTopLayer"] = false,
		}, -- [2]
		{
			["offsetX"] = 341,
			["fileDataIDs"] = {
				272620, -- [1]
			},
			["textureWidth"] = 218,
			["offsetY"] = 157,
			["textureHeight"] = 200,
			["isDrawOnTopLayer"] = false,
		}, -- [3]
		{
			["offsetX"] = 483,
			["fileDataIDs"] = {
				272598, -- [1]
			},
			["textureWidth"] = 217,
			["offsetY"] = 212,
			["textureHeight"] = 198,
			["isDrawOnTopLayer"] = false,
		}, -- [4]
		{
			["offsetX"] = 312,
			["fileDataIDs"] = {
				272616, -- [1]
			},
			["textureWidth"] = 251,
			["offsetY"] = 249,
			["textureHeight"] = 167,
			["isDrawOnTopLayer"] = false,
		}, -- [5]
		{
			["offsetX"] = 509,
			["fileDataIDs"] = {
				272614, -- [1]
				440725, -- [2]
			},
			["textureWidth"] = 283,
			["offsetY"] = 250,
			["textureHeight"] = 243,
			["isDrawOnTopLayer"] = false,
		}, -- [6]
		{
			["offsetX"] = 337,
			["fileDataIDs"] = {
				272613, -- [1]
			},
			["textureWidth"] = 179,
			["offsetY"] = 337,
			["textureHeight"] = 165,
			["isDrawOnTopLayer"] = false,
		}, -- [7]
		{
			["offsetX"] = 318,
			["fileDataIDs"] = {
				272609, -- [1]
				440743, -- [2]
			},
			["textureWidth"] = 409,
			["offsetY"] = 506,
			["textureHeight"] = 162,
			["isDrawOnTopLayer"] = false,
		}, -- [8]
		{
			["offsetX"] = 505,
			["fileDataIDs"] = {
				272599, -- [1]
				440726, -- [2]
				440727, -- [3]
				440728, -- [4]
			},
			["textureWidth"] = 318,
			["offsetY"] = 405,
			["textureHeight"] = 263,
			["isDrawOnTopLayer"] = false,
		}, -- [9]
		{
			["offsetX"] = 445,
			["fileDataIDs"] = {
				440732, -- [1]
				440733, -- [2]
			},
			["textureWidth"] = 361,
			["offsetY"] = 0,
			["textureHeight"] = 175,
			["isDrawOnTopLayer"] = false,
		}, -- [10]
		{
			["offsetX"] = 323,
			["fileDataIDs"] = {
				440735, -- [1]
			},
			["textureWidth"] = 174,
			["offsetY"] = 68,
			["textureHeight"] = 199,
			["isDrawOnTopLayer"] = false,
		}, -- [11]
		{
			["offsetX"] = 147,
			["fileDataIDs"] = {
				440736, -- [1]
				440737, -- [2]
				440738, -- [3]
				440739, -- [4]
			},
			["textureWidth"] = 281,
			["offsetY"] = 0,
			["textureHeight"] = 345,
			["isDrawOnTopLayer"] = false,
		}, -- [12]
		{
			["offsetX"] = 349,
			["fileDataIDs"] = {
				440740, -- [1]
			},
			["textureWidth"] = 255,
			["offsetY"] = 429,
			["textureHeight"] = 180,
			["isDrawOnTopLayer"] = false,
		}, -- [13]
		{
			["offsetX"] = 471,
			["fileDataIDs"] = {
				440741, -- [1]
			},
			["textureWidth"] = 176,
			["offsetY"] = 156,
			["textureHeight"] = 152,
			["isDrawOnTopLayer"] = false,
		}, -- [14]
		{
			["offsetX"] = 461,
			["fileDataIDs"] = {
				440744, -- [1]
			},
			["textureWidth"] = 162,
			["offsetY"] = 77,
			["textureHeight"] = 172,
			["isDrawOnTopLayer"] = false,
		}, -- [15]
		{
			["offsetX"] = 0,
			["fileDataIDs"] = {
			},
			["textureWidth"] = 0,
			["offsetY"] = 0,
			["textureHeight"] = 0,
			["isDrawOnTopLayer"] = false,
		}, -- [16]
	},
	[1425] = {
		{
			["offsetX"] = 0,
			["fileDataIDs"] = {
				271917, -- [1]
				440597, -- [2]
			},
			["textureWidth"] = 238,
			["offsetY"] = 236,
			["isDrawOnTopLayer"] = false,
			["textureHeight"] = 267,
		}, -- [1]
		{
			["offsetX"] = 133,
			["fileDataIDs"] = {
				271927, -- [1]
				440600, -- [2]
			},
			["textureWidth"] = 191,
			["offsetY"] = 105,
			["isDrawOnTopLayer"] = false,
			["textureHeight"] = 278,
		}, -- [2]
		{
			["offsetX"] = 220,
			["fileDataIDs"] = {
				271928, -- [1]
			},
			["textureWidth"] = 241,
			["offsetY"] = 181,
			["isDrawOnTopLayer"] = false,
			["textureHeight"] = 211,
		}, -- [3]
		{
			["offsetX"] = 220,
			["fileDataIDs"] = {
				271937, -- [1]
			},
			["textureWidth"] = 240,
			["offsetY"] = 379,
			["isDrawOnTopLayer"] = false,
			["textureHeight"] = 196,
		}, -- [4]
		{
			["offsetX"] = 286,
			["fileDataIDs"] = {
				271934, -- [1]
			},
			["textureWidth"] = 199,
			["offsetY"] = 269,
			["isDrawOnTopLayer"] = false,
			["textureHeight"] = 212,
		}, -- [5]
		{
			["offsetX"] = 367,
			["fileDataIDs"] = {
				271910, -- [1]
			},
			["textureWidth"] = 208,
			["offsetY"] = 159,
			["isDrawOnTopLayer"] = false,
			["textureHeight"] = 204,
		}, -- [6]
		{
			["offsetX"] = 390,
			["fileDataIDs"] = {
				271929, -- [1]
			},
			["textureWidth"] = 199,
			["offsetY"] = 252,
			["isDrawOnTopLayer"] = false,
			["textureHeight"] = 199,
		}, -- [7]
		{
			["offsetX"] = 357,
			["fileDataIDs"] = {
				271922, -- [1]
			},
			["textureWidth"] = 225,
			["offsetY"] = 343,
			["isDrawOnTopLayer"] = false,
			["textureHeight"] = 196,
		}, -- [8]
		{
			["offsetX"] = 475,
			["fileDataIDs"] = {
				271908, -- [1]
				271935, -- [2]
				271936, -- [3]
				271909, -- [4]
			},
			["textureWidth"] = 303,
			["offsetY"] = 5,
			["isDrawOnTopLayer"] = false,
			["textureHeight"] = 311,
		}, -- [9]
		{
			["offsetX"] = 490,
			["fileDataIDs"] = {
				271933, -- [1]
			},
			["textureWidth"] = 176,
			["offsetY"] = 195,
			["isDrawOnTopLayer"] = false,
			["textureHeight"] = 235,
		}, -- [10]
		{
			["offsetX"] = 565,
			["fileDataIDs"] = {
				271915, -- [1]
				271921, -- [2]
				440601, -- [3]
				440602, -- [4]
			},
			["textureWidth"] = 281,
			["offsetY"] = 208,
			["isDrawOnTopLayer"] = false,
			["textureHeight"] = 261,
		}, -- [11]
		{
			["offsetX"] = 487,
			["fileDataIDs"] = {
				271912, -- [1]
				271920, -- [2]
				440598, -- [3]
				440599, -- [4]
			},
			["textureWidth"] = 287,
			["offsetY"] = 334,
			["isDrawOnTopLayer"] = false,
			["textureHeight"] = 289,
		}, -- [12]
		{
			["offsetX"] = 677,
			["fileDataIDs"] = {
				271938, -- [1]
				271916, -- [2]
			},
			["textureWidth"] = 244,
			["offsetY"] = 267,
			["isDrawOnTopLayer"] = false,
			["textureHeight"] = 401,
		}, -- [13]
		{
			["offsetX"] = 152,
			["fileDataIDs"] = {
				440603, -- [1]
			},
			["textureWidth"] = 226,
			["offsetY"] = 284,
			["isDrawOnTopLayer"] = false,
			["textureHeight"] = 225,
		}, -- [14]
		{
			["offsetX"] = 0,
			["fileDataIDs"] = {
			},
			["textureWidth"] = 0,
			["offsetY"] = 0,
			["isDrawOnTopLayer"] = false,
			["textureHeight"] = 0,
		}, -- [15]
		{
			["offsetX"] = 0,
			["fileDataIDs"] = {
			},
			["textureWidth"] = 0,
			["offsetY"] = 0,
			["isDrawOnTopLayer"] = false,
			["textureHeight"] = 0,
		}, -- [16]
		{
			["offsetX"] = 0,
			["fileDataIDs"] = {
			},
			["textureWidth"] = 0,
			["offsetY"] = 0,
			["isDrawOnTopLayer"] = false,
			["textureHeight"] = 0,
		}, -- [17]
		{
			["offsetX"] = 0,
			["fileDataIDs"] = {
			},
			["textureWidth"] = 0,
			["offsetY"] = 0,
			["isDrawOnTopLayer"] = false,
			["textureHeight"] = 0,
		}, -- [18]
	},
	[205] = {
		{
			["offsetX"] = 0,
			["fileDataIDs"] = {
			},
			["textureWidth"] = 0,
			["offsetY"] = 0,
			["textureHeight"] = 0,
			["isDrawOnTopLayer"] = false,
		}, -- [1]
	},
	[1422] = {
		{
			["offsetX"] = 510,
			["fileDataIDs"] = {
				273119, -- [1]
				273092, -- [2]
				273112, -- [3]
				273093, -- [4]
			},
			["textureWidth"] = 492,
			["offsetY"] = 354,
			["isDrawOnTopLayer"] = false,
			["textureHeight"] = 314,
		}, -- [1]
		{
			["offsetX"] = 601,
			["fileDataIDs"] = {
				273107, -- [1]
			},
			["textureWidth"] = 194,
			["offsetY"] = 390,
			["isDrawOnTopLayer"] = false,
			["textureHeight"] = 208,
		}, -- [2]
		{
			["offsetX"] = 261,
			["fileDataIDs"] = {
				273108, -- [1]
				273101, -- [2]
			},
			["textureWidth"] = 368,
			["offsetY"] = 448,
			["isDrawOnTopLayer"] = false,
			["textureHeight"] = 220,
		}, -- [3]
		{
			["offsetX"] = 48,
			["fileDataIDs"] = {
				273120, -- [1]
				441020, -- [2]
				441021, -- [3]
				441022, -- [4]
			},
			["textureWidth"] = 316,
			["offsetY"] = 235,
			["isDrawOnTopLayer"] = false,
			["textureHeight"] = 316,
		}, -- [4]
		{
			["offsetX"] = 229,
			["fileDataIDs"] = {
				273113, -- [1]
			},
			["textureWidth"] = 241,
			["offsetY"] = 228,
			["isDrawOnTopLayer"] = false,
			["textureHeight"] = 212,
		}, -- [5]
		{
			["offsetX"] = 472,
			["fileDataIDs"] = {
				273102, -- [1]
			},
			["textureWidth"] = 169,
			["offsetY"] = 332,
			["isDrawOnTopLayer"] = false,
			["textureHeight"] = 195,
		}, -- [6]
		{
			["offsetX"] = 231,
			["fileDataIDs"] = {
				273114, -- [1]
				441017, -- [2]
			},
			["textureWidth"] = 359,
			["offsetY"] = 123,
			["isDrawOnTopLayer"] = false,
			["textureHeight"] = 182,
		}, -- [7]
		{
			["offsetX"] = 235,
			["fileDataIDs"] = {
				273095, -- [1]
				273111, -- [2]
				273100, -- [3]
				273090, -- [4]
			},
			["textureWidth"] = 432,
			["offsetY"] = 0,
			["isDrawOnTopLayer"] = false,
			["textureHeight"] = 271,
		}, -- [8]
		{
			["offsetX"] = 495,
			["fileDataIDs"] = {
				273094, -- [1]
			},
			["textureWidth"] = 241,
			["offsetY"] = 213,
			["isDrawOnTopLayer"] = false,
			["textureHeight"] = 252,
		}, -- [9]
		{
			["offsetX"] = 551,
			["fileDataIDs"] = {
				273121, -- [1]
			},
			["textureWidth"] = 185,
			["offsetY"] = 151,
			["isDrawOnTopLayer"] = false,
			["textureHeight"] = 230,
		}, -- [10]
		{
			["offsetX"] = 533,
			["fileDataIDs"] = {
				273122, -- [1]
				273103, -- [2]
				441023, -- [3]
				441024, -- [4]
			},
			["textureWidth"] = 311,
			["offsetY"] = 0,
			["isDrawOnTopLayer"] = false,
			["textureHeight"] = 436,
		}, -- [11]
		{
			["offsetX"] = 96,
			["fileDataIDs"] = {
				441011, -- [1]
				441012, -- [2]
				441013, -- [3]
				441014, -- [4]
			},
			["textureWidth"] = 464,
			["offsetY"] = 343,
			["isDrawOnTopLayer"] = false,
			["textureHeight"] = 325,
		}, -- [12]
		{
			["offsetX"] = 300,
			["fileDataIDs"] = {
				441015, -- [1]
				441016, -- [2]
			},
			["textureWidth"] = 325,
			["offsetY"] = 232,
			["isDrawOnTopLayer"] = false,
			["textureHeight"] = 192,
		}, -- [13]
		{
			["offsetX"] = 286,
			["fileDataIDs"] = {
				441018, -- [1]
				441019, -- [2]
			},
			["textureWidth"] = 290,
			["offsetY"] = 211,
			["isDrawOnTopLayer"] = false,
			["textureHeight"] = 133,
		}, -- [14]
		{
			["offsetX"] = 0,
			["fileDataIDs"] = {
			},
			["textureWidth"] = 0,
			["offsetY"] = 0,
			["isDrawOnTopLayer"] = false,
			["textureHeight"] = 0,
		}, -- [15]
		{
			["offsetX"] = 0,
			["fileDataIDs"] = {
			},
			["textureWidth"] = 0,
			["offsetY"] = 0,
			["isDrawOnTopLayer"] = false,
			["textureHeight"] = 0,
		}, -- [16]
		{
			["offsetX"] = 0,
			["fileDataIDs"] = {
			},
			["textureWidth"] = 0,
			["offsetY"] = 0,
			["isDrawOnTopLayer"] = false,
			["textureHeight"] = 0,
		}, -- [17]
	},
	
	}
	}
}

    local function ShouldShowOriginalTexture(mapId)
        if (mapId == 81 or mapId == 18 or mapId == 14)
		and UnitLevel("player") >= 110 then
            return true
        end
    end
    
	local function FindTilesFrame()
		local allMapFrames = {WorldMapFrame.ScrollContainer.Child:GetChildren()}
		for i = 1, #allMapFrames do
			local frame = allMapFrames[i]
			if frame.detailTilePool then
				return frame 
			end
		end
	end
	local db
	
    C_MapExplorationInfo.GetExploredMapTextures_org = C_MapExplorationInfo.GetExploredMapTextures
	
	C_MapExplorationInfo.GetExploredMapTextures = function(mapId)
        if not mapId then
            return {}
        end

        if not MOD:UserSetting(DGV_REMOVEMAPFOG) then 
            return C_MapExplorationInfo.GetExploredMapTextures_org(mapId)
        end
		
		local artID = C_Map.GetMapArtID(mapId)

		local result = {}
		
		if db and db.global.overlayData then
			if db.global.overlayData[artID] then
				local internalOverlayData = db.global.overlayData[artID]
				for i=1, #internalOverlayData do
					if not result[i] then
						result[i] = internalOverlayData[i]
									
						result[i]["hitRect"] = {
							["top"] = 0,
							["right"] = 0,
							["left"] = 0,
							["bottom"] = 0,
						}
						result[i]["isShownByMouseOver"] = false
					end
				end
			end
		end
		
		return result
	end
	
	--[[Returns:
		{
			mapDirectory = "",
			texData = {
				[mapName1] = 09812341,
				[mapName2] = 98745632
			}
		}
	]]
	
	function MapOverlays.HarvestCurrentMapOverlayInfo()
		if not harvestingDataMode then return end

		local exploredMaps = C_MapExplorationInfo.GetExploredMapTextures_org(WorldMapFrame:GetMapID())
		
		if exploredMaps then
			if not DataExport then
				DataExport = {}
			end
			
			--Currently displayed map
			local currentMapId = WorldMapFrame:GetMapID()
			
			if not DataExport[currentMapId] then
				DataExport[currentMapId] = {}
			end
		
			if exploredMaps then
				for i=1, #exploredMaps do
					local exploredMap = LuaUtils:clone(exploredMaps[i])
					exploredMap.hitRect = nil
					exploredMap.isShownByMouseOver = nil
					DataExport[currentMapId][i] = exploredMap
				end
			end
		end
	end
	
    local function IsExploredId(mapID_, textureId)
        local exploredMapTextures_org = C_MapExplorationInfo.GetExploredMapTextures_org(mapID_);

        for i, info in pairs(exploredMapTextures_org or {}) do
            for j, val in pairs(info.fileDataIDs or {}) do 
                if val == textureId then
                    return true
                end
            end
        end
    end

    MOD.IsExploredId = IsExploredId

    local function FindFogPool()
        for pin in WorldMapFrame:EnumeratePinsByTemplate("MapExplorationPinTemplate") do
            return pin.overlayTexturePool
        end
    end

    MOD.UpdateOverlaysColors = function()
        local overlayTexturePool = FindFogPool()
       
        for textureK, textureV in overlayTexturePool:EnumerateActive() do
            local textId = textureK:GetTexture()

            if  IsExploredId(WorldMapFrame:GetMapID(), textId) then
                textureK:SetVertexColor(.8, .8, .8)
            else
                textureK:SetVertexColor(0.5, 0.5, 0.5)
            end
        end
    end

	local overlayTextures  = {}
	overlayTexturesGPS  = {}    
    local bigOverlays = {}


	-- Code courtesy ckknight
	function MOD:GetCurrentCursorPosition(frame)
	local x, y = GetCursorPosition()
	local left, top = frame:GetLeft(), frame:GetTop()
	local width = frame:GetWidth()
	local height = frame:GetHeight()
	local scale = frame:GetEffectiveScale()
	local cx = (x/scale - left) / width
	local cy = (top - y/scale) / height

		if cx < 0 or cx > 1 or cy < 0 or cy > 1 then
			return nil, nil
	end
	return cx, cy
	end

	local formatCoords = "%.2f, %.2f"


	local UpdateWorldMapFrame = MOD.NoOp
	function MOD:InitializeMapOverlays()
		db = LibStub("AceDB-3.0"):New("MapOverlaysDugis", defaults)
		
		-- todo: find replacement
		--hooksecurefunc("WorldMapFrame_Update", UpdateWorldMapFrame);
		hooksecurefunc(WorldMapFrame, "OnMapChanged", UpdateWorldMapFrame);
		
	end

	function MOD:MapHasOverlays()
		local overlayMap = db.global.overlayData[WorldMapFrame:GetMapID()]
		return overlayMap and next(overlayMap)
	end

	function MapOverlays:Load()
		UpdateWorldMapFrame = function()
			if not MOD.CoordsFrame then
				MOD.CoordsFrame = CreateFrame("Frame", nil, WorldMapFrame)
				MOD.CoordsFrame.Player = MOD.CoordsFrame:CreateFontString(nil, "OVERLAY", "GameFontHighlightSmall")
				MOD.CoordsFrame.Cursor = MOD.CoordsFrame:CreateFontString(nil, "OVERLAY", "GameFontHighlightSmall")
				MOD.CoordsFrame:SetScript("OnUpdate", function()
					if MOD:UserSetting(DGV_DISPLAYMAPCOORDINATES)
						and not DugisGuideViewer.mapsterloaded
						and not DugisGuideViewer.tomtomloaded
					then
						local _, _, x, y  = DugisGuideViewer:GetUnitPosition("player", true, nil, true)
						if not x or not y then
							MOD.CoordsFrame.Player:SetText("|cffffd200Player:|r ---")
						else
							MOD.CoordsFrame.Player:SetFormattedText("|cffffd200Player:|r %s", formatCoords:format(x*100, y*100))
						end

						if WorldMapFrame.ScrollContainer.Child:GetLeft() then --prevents error on early load
							local cX, cY = MOD:GetCurrentCursorPosition(WorldMapFrame.ScrollContainer.Child)
							if not cX or not cY then
								MOD.CoordsFrame.Cursor:SetText("|cffffd200C:|r ---")
							else
								MOD.CoordsFrame.Cursor:SetFormattedText("|cffffd200C:|r %s", formatCoords:format(cX*100, cY*100))
							end
						end
                        MOD.CoordsFrame:Show()
					else
						MOD.CoordsFrame:Hide()
					end

					if DugisGuideViewer.tomtomloaded
						or MOD:UserSetting(DGV_DISPLAYMAPCOORDINATES)
					then
					
					end
				end)
				MOD.CoordsFrame:Show()
			end

			MOD.CoordsFrame.Player:ClearAllPoints()
			MOD.CoordsFrame.Cursor:ClearAllPoints()
			
			MOD.CoordsFrame.Player:SetPoint("TOPLEFT", WorldMapFrame, "BOTTOM", -180, 22)
			MOD.CoordsFrame.Cursor:SetPoint("TOPLEFT", WorldMapFrame, "BOTTOM", -65, 22)
		
		end
		MOD:InitializeMapOverlays()
        
        UpdateWorldMapFrame()
	end

	function MapOverlays:Unload()
		UpdateWorldMapFrame = MOD.NoOp
		if MOD.CoordsFrame then MOD.CoordsFrame:Hide() end
	end
end
